# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc通过Excel复制添加商品-子站点不存在,2252,2252-12,sit,bs
主数据平台:多采商城购物车列表通过Excel复制添加商品接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import json
import random

module = "cmdc_buyercar_list"

# 第一步登录多采商城获取token
# 获取登录所需账号密码
username1 = commonFuc().get_business_data(module, "username")
password1 = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username1, password1).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)
# 获取通过Excel复制添加商品接口地址
url_batch = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url_batch")
# 随机生成不存在的公司id
company_id = random.randint(100000000000, 10000000000000000)
# 组装请求报文
request_body = commonFuc().get_business_data(module, "payload24", company_id)

"""
 场景:通过Excel复制添加商品时，站点不存在时，添加失败
 用例名称：通过Excel复制添加商品时，站点不存在时，添加失败
 输出：{"success":false,"code":"999","message":"找不到该公司的首营信息","data":null,"freshToken":null}
"""
# 发送请求
result = requests.post(url_batch, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict24")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

